﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Module3.ViewModels;

namespace Module3
{
	public class TemplateSelector : DataTemplateSelector
	{
		public DataTemplate ButtonTemplate { get; set; }
		public DataTemplate SplitButtonTemplate { get; set; }
		public DataTemplate DropDownButtonTemplate { get; set; }
		public DataTemplate ComboBoxTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			DataItem element = item as DataItem;
			switch (element.Type)
			{
				case ElementType.Button:
				return ButtonTemplate;
				case ElementType.SplitButton:
				return SplitButtonTemplate;
				case ElementType.DropDownButton:
				return DropDownButtonTemplate;
				case ElementType.ComboBox:
				return ComboBoxTemplate;
				default:
				return ButtonTemplate;
			}

		}
	}
}
